<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

error_reporting(0);

require_once 'config.php'; // $id_shop / $hash
require_once 'connect.php'; //ConnectDB

$error=FALSE;

if(isset($_POST['submit'])){

if(empty($_POST['url']) || empty($_POST['name']) || empty($_POST['kod']) || empty($_POST['days'])){
$error='Похоже вы что-то пропустили...';
}else{

$url=(string)$_POST['url'];
$ilu=mb_strlen($url);
if($ilu<11 || $ilu>50){
$error='Предельная длина URL 11-50';
}else{
if($_SESSION['kod']!=$kod)
$error .= '<div class="error">Код с картинки введен неверно</div>';
$url=mysqli_real_escape_string($mysqli,htmlspecialchars($url));
$kod = (int)$_POST['kod'];
$name=(string)$_POST['name'];
$iln=mb_strlen($name);
if($iln<3 || $iln>32){
$error='Предельная длина названия 3-32';
}else{

$name=mysqli_real_escape_string($mysqli,htmlspecialchars($name));

$days=abs((int)$_POST['days']);

if($days<0 || $days>$ism){
$error='Предельное количество дней 1-'.$ism.'</div>';
}else{

$summa=$isd; //сумма платежа
$comm='Заказ рекламы'; //комментарий к платежу
$comm.=' | '.$url;
$comm.=' | '.$name;
$comm.=' | '.$days.' дн.';

$sql="INSERT INTO `worldkassa` SET `url`='$url', `name`='$name'";

if(!empty($_POST['color'])){
$color=mysqli_real_escape_string($mysqli,htmlspecialchars((string)$_POST['color']));
if(array_key_exists($color,$alc)){
$sql.=",`color`='$color'"; $summa+=$isc; $comm.=' '.$color;
}else{$error='Нет цвета';};
};

if($error==FALSE){//error

if(isset($_POST['bold'])){ $sql.=',`bold`=1'; $summa+=$isb; $comm.=' bold'; };

if(isset($_POST['italic'])){ $sql.=',`italic`=1'; $summa+=$isi; $comm.=' italic'; };
if(isset($_POST['adult'])){ $sql.=',`adult`=1';};

$summa*=$days;

$sql.=',`summa`='.$summa;
$sql.=',`days`='.$days;

$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash.'&desc='.urlencode($comm));

if(is_numeric($data)){//data
$sql.=",`id_bill`='$data'";

mysqli_query($mysqli,$sql)or die(mysqli_error());
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
exit;

}else{//data
$error='Сбой: '.$data;
};//data

};//error
};//days
};//name
};//url
};//empty
};//submit

//
include_once'head.php'; //header

if($error){
echo'<div class="main"> '.$error.' </div>';
}elseif(isset($_REQUEST['success'])){
echo'<div class="main"> Баланс успешно пополнен </div>';
}elseif(isset($_REQUEST['error'])){
echo'<div class="main"><font color="ff0000"> Произошла ошибка при пополнении </font></div>';
};

echo'<form action="/wk/index.php" method="post"><div class="title">
Автоматическая покупка рекламы</div><div class="main">

URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="http://"/><br/>

Название ссылки[32]:<br/><input name="name" type="text" maxlength="32"/><br/>

Количество дней[1-'.$ism.']:<br/><input name="days" type="text" maxlength="5" size="5" value="7"/><br/>

Цвет ссылки:<br/>
<select name="color">';
foreach($alc as $slc=>$slv){
echo'<option value="'.$slc.'">'.$slv.'</option>';
};
echo'</select><br/>
<input name="adult" type="checkbox" value="1"/> <b>Сайт для старших 18 лет </b><br/>

<input name="bold" type="checkbox" value="1"/> <b>Жирность</b><br/>

<input name="italic" type="checkbox" value="1"/> <i>Курсивность</i><br/>

<br/>
22 способа оплаты: WorldKassa<br/>
Стоимость размещение рекламы в день: '.$isd.' руб.<br/>
Добавление цвета в день: '.$isc.' руб.<br/>
Добавление жирности в день: '.$isb.' руб.<br/>
Добавление курсивности в день: '.$isi.' руб.<br/>
<br/>
<br/>
Код с картинки: <img src="/captha.jpg" maxlength="5" alt="*" /><br/>
<input name="kod" type="text" value="" /><br/>
<input type="submit" name="submit" value="Перейти к оплате"/>
</div></form>';

echo'<div class="stat" style="font-size:x-small">
<div style="color:green">Правила предоставления рекламы:</div>

<b>1.</b> После покупки, Вы не сможете отказаться, возврат средств не подлежит!<br/>

<b>2. </b>Рекламы показываются до 6 ссылок поочередно, и показываются рандомно.<br/>

<b>3.</b> К рекламе не допускаются сайты нарушающие законодательство всех стран<br/>

<b>4.</b> Запрещены к показу сайты содержащие вирусы, фейки и тп.<br/>

<span style="color:red;font-weight:bold">(!)</span> <b>В случае нарушения данных правил, администрация вправе удалить рекламную ссылку без указания причин и возврата затраченных, денежных средств!</b>
</div>
';

include_once'foot.php';

?>